%define major		0
%define libname		%mklibname ttspico %{major}
%define libdevel	%mklibname ttspico -d

Name:		svox-pico
Version:	20120212
Release:	%mkrel 1
License:	Apache License
Group:		Sound/Utilities
Summary:	Text-To-Speech engine from Android project
Summary(fr_FR):	Moteur Text-To-Speech du projet Android
URL:		http://android.googlesource.com/platform/external/svox.git
Source0:	%{name}-%{version}.tar
Patch1:		%{name}-20120212-arch-x86_64.patch

BuildRequires:	libpopt-devel

%description
Text-To-Speech engine from Android project

%description -l fr_FR
Moteur Text-To-Speech du projet Android

#--------------------------------------------------------------------
%package -n %{libname}
Summary:	svox-pico library
Summary(fr_FR):	Librairie svox-pico
Group:		System/Libraries

%description -n %{libname}
Library for svox-pico.

%description -n %{libname} -l fr_FR
Librairie pour svox-pico.

#--------------------------------------------------------------------
%package -n %{libdevel}
Summary:	svox-pico development files
Summary(fr_FR):	Fichiers de développement svox-pico
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libdevel}
Development files needed by svox-pico.

%description -n %{libdevel} -l fr_FR
Fichiers de développement nécessaires à svox-pico.

#--------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1

#for autoreconf
mkdir -p pico/m4

%build
pushd pico
	autoreconf -vfi
	%configure2_5x --disable-static
	%make
popd

%install
pushd pico
	%makeinstall_std
popd

# Clean .la files
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*
%{_datadir}/pico/

%files -n %{libname}
%{_libdir}/libttspico.so.%{major}
%{_libdir}/libttspico.so.%{major}.*

%files -n %{libdevel}
%{_includedir}/*
%{_libdir}/libttspico.so


%changelog
* Sat Jul 13 2013 david.david (MLO Team) <david.david> 20120212-1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package svox-pico from ALT Linux

